Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.xerces.impl.xs
Class XMLSchemaValidator.UniqueValueStore

    java.lang.Object
      |
      +--weblogic.apache.xerces.impl.xs.XMLSchemaValidator.ValueStoreBase
            |
            +--weblogic.apache.xerces.impl.xs.XMLSchemaValidator.UniqueValueStore

protected class XMLSchemaValidator.UniqueValueStore
extends XMLSchemaValidator.ValueStoreBase

Unique value store.

Fields inherited from class weblogic.apache.xerces.impl.xs.XMLSchemaValidator.ValueStoreBase
`fIdentityConstraint, fValues, fValuesCount, fValueTuples, NOT_AN_IDVALUE`

Constructor Summary
`XMLSchemaValidator.UniqueValueStore(weblogic.apache.xerces.impl.xs.identity.UniqueOrKey unique)` Constructs a unique value store.

Method Summary
`protected void` | `duplicateValue(weblogic.apache.xerces.impl.xs.XMLSchemaValidator.OrderedHashtable tuple)` Called when a duplicate value is added.

Methods inherited from class weblogic.apache.xerces.impl.xs.XMLSchemaValidator.ValueStoreBase
`addValue, append, clear, contains, endDocument, endDocumentFragment, endValueScope, reportError, startValueScope, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMLSchemaValidator.UniqueValueStore

    public XMLSchemaValidator.UniqueValueStore(weblogic.apache.xerces.impl.xs.identity.UniqueOrKey unique)

  Constructs a unique value store.

Method Detail

### duplicateValue

    protected void duplicateValue(weblogic.apache.xerces.impl.xs.XMLSchemaValidator.OrderedHashtable tuple)
                           throws XNIException

  Called when a duplicate value is added.

  Parameters:
    `tuple` - The duplicate value tuple.
  Overrides:
    duplicateValue in class XMLSchemaValidator.ValueStoreBase

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD